package com.jpsoft.shinestar.modules.sys.dao;

import com.jpsoft.shinestar.modules.common.dto.Sort;
import com.jpsoft.shinestar.modules.sys.entity.DataDictionary;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;


@Repository
public interface DataDictionaryDAO {
	int insert(DataDictionary entity);
	int update(DataDictionary entity);
	int exist(String id);
	DataDictionary get(String id);
	int delete(String id);
	String getName(String id);
	String getValue(String id);
	List<DataDictionary> list();
	String findParentId(String parentId,String value);
	List<Map<String, Object>> queryChildren(String parentId);
	List<DataDictionary> search(Map<String, Object> searchParams, List<Sort> sortList);

	List<DataDictionary> findByCatalogName(String catalogName);

	String findNameByCatalogNameAndValue(String catalogName,String value);
}